MinovaEasy - Feature #2953

Report Kwitansi
08/05/2024 05:06 PM - haykal haykal

Status: Closed Start date: 08/05/2024
Priority: Normal Due date: 08/07/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Shofwan,
Ingin dibuatkan Report Kwitansi seperti di file yang saya attach.

*No. mengambil dari field No. Kwitansi

*Tanggal mengambil dari Document Date

*Terima Dari mengambil dari field Sub Ledger ID

*Terbilang mengambil dari debit amount, namun terisinya dengan kata-kata. (Contoh: Amount: Rp 1.000.000 ; maka terisinya "Satu
juta rupiah")

*Untuk Pembayaran mengambil dari field Description.

*RP mengambil dari debit amount (dalam bentuk angka)

*Jumlah isiannya sama dengan Terbilang

Report Kwitansi akan tergenerate apabila di document terdapat GL Account yg terdaftar di dua GenParam berikut;
KWITANSIDEBITACC

KWITANSICREDITACC

(Harus berpasangan)

MenulD: KWITANSIREPORT
ReportID: KWITANSIREPORT

Menu Path: Financial Accounting > Reporting > Report Kwitansi
Port: hitps://easy.minovais.com/
DB: MinovaES_Easy

Terimakasih.

History

#1 - 08/06/2024 10:33 AM - Kezia Pawitra Yulianti
- Due date set to 08/07/2024

- Status changed from New to Assigned

#2 - 08/07/2024 12:05 PM - shofwan shiddiq
- File clipboard-202408071205-xme45.png added
- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, report kwitansi sudah di deploy yah, silahkan di cek.

UPDATE:
SP: KWITANSIREPORT, KWITANSIREPORTINDUK
RDL: KWITANSIREPORT, KWITANSIREPORTINDUK

Flow Requirment

1. Ambil Document dengan Doc Type GL atau IP

2. Pada dokumen harus memiliki 1 GL Debit, dan 1 GL Kredit untuk dijadikan kwitansi ( GL Debit dan Kredit sesuai yang di daftarkan di GENPARAM
KWITANSIDEBITACC, KWITANSICREDITACC

3. Data Sub Ledger di ambil dari GL Account kredit pada dokumen

4. Data Jumlah merupakan akumulasi dari semua amount debit dari GL Debit
My Workplace

Dashboard

Report Parameter

General Process
From: -
Master Data Accounting L

Account Receivable To:

General Ledger

No. Kwitansi:
Account Payable
@ View Report
Jurnal Voucher
Jurnal Recap Report Result -
Account Balance
Acoount Balance New W4T Jorr b b expor
Account Balance SL
PPN Detail Keluaran KWITANS| PEMBAYARAN
- No: 00013793
PPN Detail Masukan No: 00013793 Tanggal: 11 January 2024

Tanggal: 11 January 2024
PPN Recap
Terima Dari: PT. KALDU Terima Dari: PT. KALDU SARI NABATI INDONESIA
Trial Balance SARINABATI INDONESIA Terbilang: Enam Puluh Empat Juta
Financial Position Jumlah: Enam Puluh Empat | Untuk Pembayaran: fg
Juta

Untuk Pembayaran: fg Rp 64,000,000

Tanda tangan Penerima

Tanda Tangan Penyetor
#3 - 08/07/2024 02:23 PM - haykal haykal

- File Report Kwitansi er.png added
- Assignee changed from haykal haykal to shofwan shiddig
Wan sudah ok, tapi masih ada beberapa catatan:

-Untuk yg di Terbilang dan Jumlah dia masih kurang kata "rupiah" di belakangnya
-Untuk yg No: tampaknya masih membaca dari Document Number, harusnya dari No. Kwitansi

Terimakasih

#4 - 08/07/2024 02:44 PM - shofwan shiddiq
- File clipboard-202408071444-iwduj.png added
- Assignee changed from shofwan shiddiq to haykal haykal
W Dashboard

Report Parameter

M General Process

From: o
M Master Data Accounting L
@8 Account Receivable To: P
I General Ledger . .
No. Kwitansi:
B Account Payable
Jurnal Voucher ‘
Jurnal Recap Report Result
Account Balance
Aceount Blance New R N R R - —
Account Balance SL
PPN Detail Keluaran KWITANS| PEMBAYARAN
. No: 2112
PPN Detail Masukan No: 2112 Tanggal: 07 August 2024
Tanggal: 07 August 2024
PPN Recap
Terima Dari: PT. Terima Dari: PT. FOODINDO DWIVESTAMAS
i FOCDINDO
U DWIVESTAMAS Terbilang: Dua Ratus Ribu Rupiah
Cinancialbostion Jumizh: Dua Ratus Ribu Untuk Pembayaran: Pendapatan test
Rupiah
Untuk Pembayaran
Pendapatan test Rp 200,000~
Tanda tangan Penerima Tanda Tangan Penyetor

Sudah di revisi lagi ya kal

#5 - 08/07/2024 04:26 PM - haykal haykal
- Assignee changed from haykal haykal to shofwan shiddiq

Udh Ok Wan, tapi untk filteran No. Kwitansi nya blm bisa

#6 - 08/08/2024 05:46 PM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to haykal haykal

Sudah di fix ya filter Kwitansi No nya

UPDATE: [KWITANSIREPORTINDUK]

#7 - 08/09/2024 02:26 PM - haykal haykal

- Status changed from Assigned to Closed

Files

Kwitansi.jpeg 18.1 KB 08/05/2024 haykal haykal
clipboard-202408071205-xme45.png 168 KB 08/07/2024 shofwan shiddiq
Report Kwitansi er.png 14.5 KB 08/07/2024 haykal haykal
clipboard-202408071444-iwduj.png 99.4 KB 08/07/2024 shofwan shiddiq
